r804 - in trunk: . scripts

jeroen at linuxfromscratch.org jeroen at linuxfromscratch.org
Sun Jul 25 14:28:43 PDT 2004


Author: jeroen
Date: 2004-07-25 15:28:42 -0600 (Sun, 25 Jul 2004)
New Revision: 804

Added:
   trunk/scripts/lfs-ftp-rsync.sh
Modified:
   trunk/becomemirror.html
Log:
Update FTP mirror instructions for new maintainers

Modified: trunk/becomemirror.html
===================================================================
--- trunk/becomemirror.html	2004-07-24 18:54:58 UTC (rev 803)
+++ trunk/becomemirror.html	2004-07-25 21:28:42 UTC (rev 804)
@@ -90,7 +90,7 @@
 	<li>about 1.5Gb of space</li>
 </ul>
 
-	<p>If you are interested, then please send an e-mail to <a href="mailto:roel@linuxfromscratch.org" title="Send it to roel@linuxfromscratch.org">Roel Neefs</a> with the following information:</p>
+	<p>If you are interested, then please send an e-mail to Justin Knierim (lfs AT jrknierim DOT de) or Tim Jackson (tim AT angelinacounty DOT net) with the following information:</p>
 	<ul>
 		<li>hostname (with path to lfs mirror being /pub/lfs)</li>
 		<li>location of the server (country/city)</li>
@@ -100,7 +100,7 @@
 	</ul>
 
 <h3>rsync script</h3>
-        <p><a href="http://linuxfromscratch.org/~roel/lfs-ftp-rsync.sh">lfs-ftp-rsync.sh</a> is the script you will need to download and run once a day. Modify the variables in this script to fit your setup. When you let us know you want to become a mirror, we will asign a time to you to prevent everyone from syncing at the same time.</p>
+        <p><a href="/scripts/lfs-ftp-rsync.sh">lfs-ftp-rsync.sh</a> is the script you will need to download and run once a day. Modify the variables in this script to fit your setup. When you let us know you want to become a mirror, we will asign a time to you to prevent everyone from syncing at the same time.</p>
 
 </div> <!-- end content -->
 

Added: trunk/scripts/lfs-ftp-rsync.sh
===================================================================
--- trunk/scripts/lfs-ftp-rsync.sh	2004-07-24 18:54:58 UTC (rev 803)
+++ trunk/scripts/lfs-ftp-rsync.sh	2004-07-25 21:28:42 UTC (rev 804)
@@ -0,0 +1,27 @@
+#!/bin/sh
+# This script rsyncs a directory with a server and will log and mail the
+# output to a user. 
+# Parameters are needed in this order:
+
+NAME="LFS ftp archive"
+SITE=rsync.osuosl.org
+MODULE=lfs
+LOCAL=/local/path/
+LOG=/path/to/logfile
+USER=root  
+MAILER=/usr/bin/your_favorite_mailer
+
+OUTPUT=`rsync -clprtz --delete ${SITE}::${MODULE} ${LOCAL} 2>&1`
+
+if [ $? = 0 ]
+then
+    echo "Subject: rsync of ${NAME} on igwe.vub.ac.be OK" |${MAILER}
+${USER};
+    echo "Rsync succeeded of ${NAME} on" `date` >> ${LOG}
+else
+    (echo "Subject: rsync of ${NAME} on igwe.vub.ac.be FAILED"; echo -e "${OUTPUT}") |${MAILER} ${USER};
+    echo "Rsync failed of ${NAME} on" `date` >> ${LOG};
+    echo -e "${OUTPUT}" >> ${LOG}
+fi
+
+




More information about the website mailing list